Introduce dependency: QtQuick1 needs QtWebKit master_201209262337
authorSimon Hausmann <simon.hausmann@digia.com>
Tue, 25 Sep 2012 08:55:33 +0000 (10:55 +0200)
committerThe Qt Project <gerrit-noreply@qt-project.org>
Wed, 26 Sep 2012 13:30:47 +0000 (15:30 +0200)
The QML1 WebKit integration is moved to the QtQuick1 module, so this
dependency needs to be expressed in qt.pro.

It is technically an optional dependency, because the module can be built
without, but if WebKit is available then it should be built before QtQuick1.

Change-Id: Iae69339827afe6449a7af8fd6ae7de62632f30ed
Reviewed-by: Sergio Ahumada <sergio.ahumada@digia.com>
Reviewed-by: Rohan McGovern <rohan.mcgovern@nokia.com>
qt.pro

diff --git a/qt.pro b/qt.pro
index 86aec5f..3c94cc4 100644 (file)
--- a/qt.pro
+++ b/qt.pro
@@ -175,6 +175,7 @@ exists(qtwebkit/WebKit.pro) {
     mac|contains(QT_CONFIG, icu) {
         SUBDIRS += module_qtwebkit
         module_qttools.depends += module_qtwebkit
+        module_qtquick1.depends += module_qtwebkit
         exists(qtwebkit-examples-and-demos/qtwebkit-examples-and-demos.pro) {
             SUBDIRS += module_qtwebkit_examples_and_demos
         }